--
-- file prepared: 18 May 2024 13:13:16.771, using fd633c
--
--SFM_characteristics.lua (file 2 for assembly)

f8u = {

	Name = 'f8u',

	DisplayName = _('f8u'),
	ViewSettings = ViewSettings,
	Countries = { "Abkhazia","Australia","Austria","Belarus","Belgium","Brazil","Bulgaria","Canada","China",
			 "Croatia","Czech Republic","Denmark","Egypt","ESA","Finland","France","Georgia",
			 "German Empire","Germany","Greece","Hungary","Imperial Japan","India","Insurgents","Iran",
			 "Iraq","Israel","Italy","Japan","Kazakhstan","NASA","North Korea","Norway",
			 "Pakistan","Poland","Romania","Russia","Saudi Arabia","Serbia","Slovakia","South Korea",
			 "South Ossetia","Spain","Sweden","Switzerland","Syria","The Netherlands","Third Reich","Turkey","UK",
			 "Ukraine","USA","USAF Aggressors","USSR","Vietnam"},

	HumanCockpit = false,
	HumanCockpitPath = current_mod_path..'/Cockpit/',
	Picture = "f8u.png",
	Rate = 50,
	Shape = "f8u",

	shape_table_data =
	{
		{
			file = 'f8u';
			life = 20;
			vis = 3;
			fire = { 300, 2};
			username = 'f8u';
			index = WSTYPE_PLACEHOLDER;
		},
	},
	------------------------ -
	mapclasskey = "P0091000024",
	attribute = {wsType_Air, wsType_Airplane, wsType_Fighter, WSTYPE_PLACEHOLDER, "Multirole fighters", "Refuelable", "Datalink", "Link16"},
	Categories = {"{78EFB7A2-FD52-4b57-A6A6-3BF0E1D6555F}", "Interceptor",},

	---------	General	Characteristics	---------
	length = 17.059,
	height = 4.803,
	wing_area = 34.8,
	wing_span = 10.87,
	wing_tip_pos = { -3.5, 1.33, 6.5},
	RCS = 4.3,											-- (estimated from height, length and wing surface area)
	air_refuel_receptacle_pos = { 4, 1, 0.75},
	has_speedbrake = true,								-- default
	brakeshute_name = 4,								-- default
	is_tanker = false,									-- default
	tanker_type = 2,									-- default
	stores_number = 8,
	wing_type = 0,										-- default
	crew_size = 1,										-- default
	crew_size = 1,										-- default

	------- Weight & Fuel Characteristics -------
	M_empty = 8528,
	M_nominal = 13154,
	M_max = 15422,
	M_fuel_max = 4000,
	H_max = 17678,										-- (calculated from service_ceiling)
	CAS_min = 61,
	average_fuel_consumption = 1,						-- default

	----------_ AI Flight Parameters -----------
	V_opt = 440,
	V_take_off = 64,
	V_land = 64,
	V_max_sea_level = 295,
	V_max_h = 310,
	Vy_max = 76,
	Mach_max = 1.86,
	Ny_min = -3,										-- default
	Ny_max = 8,											-- default
	Ny_max_e = 8,										-- default
	AOA_take_off = 0.16,								-- default
	bank_angle_max = 60,								-- default
	range = 3000,										-- default
	flaps_maneuver = 1,									-- default

	-------- Suspension Characteristics -------
	and_gear_max = 1,									-- default
	nose_gear_pos = { 2.75, -1, 0},
	nose_gear_wheel_diameter = 0.5,						-- default
	nose_gear_amortizer_direct_stroke = 0.05,			-- default
	nose_gear_amortizer_reversal_stroke = -0.25,		-- default
	nose_gear_amortizer_normal_weight_stroke = -0.05,	-- default
	main_gear_pos = { 0.5, -1, 2},
	main_gear_wheel_diameter = 0.75,					-- default
	main_gear_amortizer_direct_stroke = 0.1,			-- default
	main_gear_amortizer_reversal_stroke = -0.275,		-- default
	main_gear_amortizer_normal_weight_stroke = -0.1,	-- default

	---------- Engine Characteristics ---------
	has_afteburner = true,
	thrust_sum_max = 5174.5,
	thrust_sum_ab = 8170.2,
	engines_count = 1,
	IR_emission_coeff = 0.05,							-- default
	IR_emission_coeff_ab = 0.05,						-- default

	--------- Sensors Characteristics ---------
	detection_range_max = 250,							-- default
	radar_can_see_ground = true,						-- default


---------------------------------------------------------------------------------------------------------------------------------------------

	crew_members =
	{
		[1] =
		{
			ejection_seat_name = 9,
			drop_canopy_name = "aircraft_canopy",
			canopy_pos = {2.75, -0.05, 0},
			canopy_ejection_dir = {0.0, 0.5, -0.5},
			pos = {2.75, -1, 0},
		}, --end of[1]
		--[2] =
		--{
			--ejection_seat_name = 9,
			--drop_canopy_name = "aircraft_canopy_2",
			--canopy_pos = {2.75, -0.05, 0},
			--canopy_ejection_dir = {0.0, 0.5, 0.5},
			--pos = {2.75, -1, 0},
			--canopy_arg = 421,
		--}, --end of[2]
	}, --end of crew_members

---------------------------------------------------------------------------------------------------------------------------------------------


	--------- Engine, nozzles and exhaust ---------

	engines_nozzles = {
		[1] =
		{
			pos = {-6.75, 1.25, 0},
			elevation = 1.25,
			diameter = 1.1,								-- default
			exhaust_length_ab = 8,						-- default
			exhaust_length_ab_K = 0.707,				-- default
			smokiness_level = 0.2,
			afterburner_circles_count = 7,				-- default
			afterburner_circles_pos = { 0.2, 0.8 },		-- default
			afterburner_circles_scale = 0.95,			-- default
		}, -- end of [1]
	}, -- end of engines_nozzles


---------------------------------------------------------------------------------------------------------------------------------------------


	Guns = {
		M_39({ muzzle_pos = {4.1, 0.45, 1},_connector =  "Point_Gun_01",rates = {1000},effect_arg_number = 350,mixes = {{1,2,3}},azimuth_initial = 0.0,elevation_initial = 0,supply_position = {0.0,0.0,0.0}}),
		M_39({ muzzle_pos = {4.2, 0.15, 1},_connector =  "Point_Gun_02",rates = {1000},effect_arg_number = 350,mixes = {{1,2,3}},azimuth_initial = 0.0,elevation_initial = 0,supply_position = {0.0,0.0,0.0}}),
		M_39({ muzzle_pos = {4.2, 0.15, -1},_connector =  "Point_Gun_03",rates = {1000},effect_arg_number = 350,mixes = {{1,2,3}},azimuth_initial = 0.0,elevation_initial = 0,supply_position = {0.0,0.0,0.0}}),
		M_39({ muzzle_pos = {4.1, 0.45, -1},_connector =  "Point_Gun_04",rates = {1000},effect_arg_number = 350,mixes = {{1,2,3}},azimuth_initial = 0.0,elevation_initial = 0,supply_position = {0.0,0.0,0.0}}),
	},


	Pylons = {
		pylon(1, 0, 0.5, 1.25, 3, --
			{
				use_full_connector_position = true, connector = "Pylon1", arg = 308, arg_value = 0,
			},
			{
				{ CLSID = "{90321C8E-7ED1-47D4-A160-E074D5ABD902}" }, --MK-81 
				{ CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}" }, --MK-82 
			} 
		),
		pylon(2, 0, 0.75, 1.425, 2, --
			{
				use_full_connector_position = true, connector = "Pylon2", arg = 309, arg_value = 0,
			},
			{
				{ CLSID = "{90321C8E-7ED1-47D4-A160-E074D5ABD902}" }, --MK-81 
				{ CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}" }, --MK-82 
			} 
		),
		pylon(3, 0, 0.5, 1, 1.15, --
			{
				use_full_connector_position = true, connector = "Pylon3", arg = 310, arg_value = 0,
			},
			{
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
				{ CLSID = "{90321C8E-7ED1-47D4-A160-E074D5ABD902}" }, --MK-81 
				{ CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}" }, --MK-82 
			} 
		),
		pylon(4, 0, 1, 1.5, 1, --
			{
				use_full_connector_position = true, connector = "Pylon4", arg = 311, arg_value = 0,
			},
			{
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
				{ CLSID = "{90321C8E-7ED1-47D4-A160-E074D5ABD902}" }, --MK-81 
				{ CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}" }, --MK-82 
				{ CLSID = "{7A44FF09-527C-4B7E-B42B-3F111CFE50FB}" }, --MK-83 
				{ CLSID = "{AB8B8299-F1CC-4359-89B5-2172E0CF4A5A}" }, --MK-84 
			} 
		),
		pylon(5, 0, 1, 1.5, -1, --
			{
				use_full_connector_position = true, connector = "Pylon5", arg = 312, arg_value = 0,
			},
			{
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
				{ CLSID = "{90321C8E-7ED1-47D4-A160-E074D5ABD902}" }, --MK-81 
				{ CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}" }, --MK-82 
				{ CLSID = "{7A44FF09-527C-4B7E-B42B-3F111CFE50FB}" }, --MK-83 
				{ CLSID = "{AB8B8299-F1CC-4359-89B5-2172E0CF4A5A}" }, --MK-84 
			} 
		),
		pylon(6, 0, 0.5, 1, -1.15, --
			{
				use_full_connector_position = true, connector = "Pylon6", arg = 313, arg_value = 0,
			},
			{
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
				{ CLSID = "{90321C8E-7ED1-47D4-A160-E074D5ABD902}" }, --MK-81 
				{ CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}" }, --MK-82 
			} 
		),
		pylon(7, 0, 0.75, 1.425, -2, --
			{
				use_full_connector_position = true, connector = "Pylon7", arg = 314, arg_value = 0,
			},
			{
				{ CLSID = "{90321C8E-7ED1-47D4-A160-E074D5ABD902}" }, --MK-81 
				{ CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}" }, --MK-82 
			} 
		),
		pylon(8, 0, 0.5, 1.25, -3, --
			{
				use_full_connector_position = true, connector = "Pylon8", arg = 315, arg_value = 0,
			},
			{
				{ CLSID = "{90321C8E-7ED1-47D4-A160-E074D5ABD902}" }, --MK-81 
				{ CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}" }, --MK-82 
			} 
		),
	},

	chaff_flare_dispenser =
	{
		[1] =
		{
			dir = {0, 1, 0},
			pos = {-3, 1, -1},
		}, --end of[1]
	}, --end of chaff_flare_dispenser

	--Countermeasures
	passivCounterm = {
		CMDS_Edit = true,
		SingleChargeTotal = 150,
		chaff = {default = 75, increment = 3, chargeSz = 1},
		flare = {default = 75, increment = 3, chargeSz = 1}
	},


---------------------------------------------------------------------------------------------------------------------------------------------


	fires_pos =
	{
		[1] = { -1.6875, 1.33, 0.0},
		[2] = { -0.675, 1.33, 1},
		[3] = { -1.0125, 1.33, -1},
		[4] = { 1, 1.33, 1.625},
		[5] = { 1, 1.33, -1.625},
		[6] = { 1, 1.33, 5.2},
		[7] = { 1, 1.33, -5.2},
		[8] = { -6.75, 1.25, 1},
		[9] = { -6.75, 1.25, -1},
		[10] = { -3.375, 1.33, 1},
		[11] = { -3.375, 1.33, -1},
	},	-- end of fires_pos

---------------------------------------------------------------------------------------------------------------------------------------------


--(file 3 for aessembly)

	--[[
	fires_pos =
	{
		[1] = 	{-1.594,	-0.064,		0},
		[2] = 	{-1.073,	0.319,		2.304},
		[3] = 	{-1.187,	0.338,		-4.678},
		[4] = 	{-0.82,		0.265,		2.774},
		[5] = 	{-0.82,		0.265,		-2.774},
		[6] = 	{-0.82,		0.255,		4.274},
		[7] = 	{-0.82,		0.255,		-4.274},
		[8] = 	{-5.889,	-0.257,		1.193},
		[9] = 	{-5.889,	-0.257,		-1.193},
		[10] = 	{-1.257,	0.283,		3.05},
		[11] = 	{-1.257,	0.283,		-3.05},
	}, -- end of fires_pos
	]]--

	--[[

	-- Countermeasures
	passivCounterm = {
		CMDS_Edit = true,
		SingleChargeTotal = 128,
		-- PPR-26
		chaff = {default = 64, increment = 3, chargeSz = 1},
		-- PPI-26
		flare = {default = 64, increment = 3, chargeSz = 1}
	},
	]]--

	attribute 		= { wsType_Air, wsType_Airplane, wsType_Fighter, Su_34,"Bombers", "Refuelable"},
	CanopyGeometry	=  makeAirplaneCanopyGeometry(LOOK_GOOD, LOOK_AVERAGE, LOOK_AVERAGE),
	
	--[[
	Sensors =
	{
		RADAR = "N-011M",
		OPTIC = "Su-34 FLIR",
		RWR   = "Abstract RWR"
	},
	]]--

	Tasks =
	{
		aircraft_task(AFAC),
		aircraft_task(SEAD),
		aircraft_task(AntishipStrike),
		aircraft_task(CAS),
		aircraft_task(CAP),
		aircraft_task(Intercept),
		aircraft_task(PinpointStrike),
		aircraft_task(GroundAttack),
		aircraft_task(RunwayAttack),
	},
	DefaultTask = aircraft_task(CAP),

	--SFM_aerodynamics.lua (file 4 for assembly)

	SFM_Data = {
		aerodynamics = --Cx = Cx_0 + Cy ^ 2 * B2 + Cy ^ 4 * B4
		{

			Cy0 = 0,
			Mzalfa = 4.355,					-- default
			Mzalfadt = 2.25,					-- note: set to this value for f8u to improve in-flight handling
			kjx = 3,						-- default
			kjz = 0.00125,					-- default
			Czbe = -0.016,					-- default
			cx_gear = 0.02,					-- default
			cx_flap = 0.08,					-- default
			cy_flap = 0.25,					-- default
			cx_brk = 0.1,					-- default

			table_data = {
				--M     Cx0     Cya     B       B4      Omxmax  Aldop   Cymax
				{0,		0.015,	0.06,	0.127,	0.011,	2.3,	11.7,	0.704,		},
				{0.1,	0.015,	0.0543,	0.127,	0.011,	6.25,	13,	0.704,		},
				{0.2,	0.015,	0.0631,	0.127,	0.011,	6.25,	14.3,	0.904,		},
				{0.3,	0.015,	0.125,	0.127,	0.011,	6.25,	15.8,	1.79,		},
				{0.4,	0.015,	0.187,	0.127,	0.011,	6.25,	17.5,	2,		},
				{0.5,	0.015,	0.18,	0.0863,	0.00804,	6.25,	17.5,	2,		},
				{0.6,	0.015,	0.17,	0.0659,	0.00686,	6.25,	17.5,	2,		},
				{0.7,	0.015,	0.16,	0.0542,	0.00644,	6.25,	17.5,	2,		},
				{0.8,	0.0213,	0.148,	0.045,	0.0062,	2.3,	17.5,	2,		},
				{0.9,	0.035,	0.0556,	0.0299,	0.00412,	2.01,	17.5,	1.95,		},
				{1,		0.0448,	0.0584,	0.352,	0.176,	1.76,	16.6,	1.85,		},
				{1.1,	0.0443,	0.0614,	0.308,	0.154,	1.54,	15.8,	1.76,		},
				{1.2,	0.0439,	0.0646,	0.27,	0.135,	1.35,	15.1,	1.67,		},
				{1.3,	0.0435,	0.0679,	0.236,	0.118,	1.18,	14.3,	1.59,		},
				{1.4,	0.043,	0.0714,	0.207,	0.103,	1.03,	13.6,	1.52,		},
				{1.5,	0.0426,	0.075,	0.181,	0.0904,	0.904,	13,	1.44,		},
				{1.6,	0.0422,	0.0789,	0.158,	0.0791,	0.791,	12.3,	1.37,		},
				{1.7,	0.0417,	0.0829,	0.139,	0.0693,	0.693,	11.7,	1.3,		},
				{1.8,	0.0413,	0.0872,	0.121,	0.0606,	0.606,	11.2,	1.24,		},
				{1.9,	0.0409,	0.0916,	0.106,	0.053,	0.53,	10.6,	1.18,		},
				{2,		0.0405,	0.0963,	0.0928,	0.0464,	0.464,	10.1,	1.12,		},
				{2.1,	0.0401,	0.101,	0.0813,	0.0406,	0.406,	9.6,	1.07,		},
				{2.2,	0.0397,	0.106,	0.0711,	0.0356,	0.356,	9.14,	1.02,		},
			}, --end of table_data
		}, --end of aerodynamics
		engine = 
		{
			Nmg = 50,					-- default
			MinRUD = 0,
			MaxRUD = 1,
			MaksRUD  = 0.85,
			ForsRUD  = 0.91,
			typeng  = 1,
			hMaxEng	= 19,				-- default
			dcx_eng = 0.015,			-- default
			cemax  = 1.24,				-- default
			cefor  = 2.56,				-- default
			dpdh_m = 1000,
			dpdh_f = 2000,

			--[[			table_data = {
				--M 	Pmax	Pafb
				{0,	50901,	79845,		},
				{0.2,	76352,	119768,		},
				{0.4,	101802,	159690,		},
				{0.6,	101802,	159690,		},
				{0.8,	101802,	159690,		},
				{1,	101802,	159690,		},
				{1.2,	101802,	159690,		},
				{1.4,	101802,	159690,		},
				{1.6,	101802,	159690,		},
				{1.8,	101802,	159690,		},
				{2,	76352,	119768,		},
				{2.2,	50901,	79845,		},
			}, --end of table_data
			--]]

			table_data = {
				--M 	Pmax	Pafb
				{0.0,	0.0,	0.0,		},
				{ 2.5,	0.0,	0.0,		},
			}, --end of table_data


			--[[
				engine calibration worksheet (for in-game testing)
				alt     	vel		adj
				0 k ft		0.m		adj:+/-
				15 k ft		0.m		adj:+/-
				36 k ft		0.m		adj:+/-
				37 k ft		0.m		adj:+/-
				47 k ft		0.m		adj:+/-
				53 k ft		0.m		adj:+/-
				58 k ft		0.m		adj:+/-
				61 k ft		0.m		adj:+/-
			]]--

			extended = {

				thrust_max = {
					M = { 0.000000, 0.200000, 0.400000, 0.600000, 0.800000, 1.000000, 1.200000, 1.400000, 1.600000, 1.800000, 2.000000, 2.200000, }, 
					H = { 0, 4571, 10972, 11521, 14614, 16440, 17902, 18724 }, 
					thrust = {
						{ 90045,  135068, 180091, 180091, 180091, 180091, 180091, 180091, 180091, 180091, 135068, 90045  }, 
						{ 50628,  75942,  101257, 101257, 101257, 101257, 101257, 101257, 101257, 101257, 75942,  50628  }, 
						{ 15168,  22752,  30336,  30336,  30336,  30336,  30336,  30336,  30336,  30336,  22752,  15168  }, 
						{ 15168,  22752,  30336,  30336,  30336,  30336,  30336,  30336,  30336,  30336,  22752,  15168  }, 
						{ 10146,  15219,  20292,  20292,  20292,  20292,  20292,  20292,  20292,  20292,  15219,  10146  }, 
						{ 10146,  15219,  20292,  20292,  20292,  20292,  20292,  20292,  20292,  20292,  15219,  10146  }, 
						{ 7609,   11414,  15219,  15219,  15219,  15219,  15219,  15219,  15219,  15219,  11414,  7609   }, 
						{ 1268,   1902,   2536,   2536,   2536,   2536,   2536,   2536,   2536,   2536,   1902,   1268   }, 
					}, -- thrust = {

				}, --thrust_max = {

				thrust_afterburner  = {
					M = { 0.000000, 0.200000, 0.400000, 0.600000, 0.800000, 1.000000, 1.200000, 1.400000, 1.600000, 1.800000, 2.000000, 2.200000, }, 
					H = { 0, 4571, 10972, 11521, 14614, 16440, 17902, 18724 }, 
					thrust = {
						{ 142177, 213266, 284355, 284355, 284355, 284355, 284355, 284355, 284355, 284355, 213266, 142177 }, 
						{ 79939,  119909, 159879, 159879, 159879, 159879, 159879, 159879, 159879, 159879, 119909, 79939  }, 
						{ 23949,  35924,  47899,  47899,  47899,  47899,  47899,  47899,  47899,  47899,  35924,  23949  }, 
						{ 23949,  35924,  47899,  47899,  47899,  47899,  47899,  47899,  47899,  47899,  35924,  23949  }, 
						{ 16020,  24030,  32040,  32040,  32040,  32040,  32040,  32040,  32040,  32040,  24030,  16020  }, 
						{ 16020,  24030,  32040,  32040,  32040,  32040,  32040,  32040,  32040,  32040,  24030,  16020  }, 
						{ 12015,  18022,  24030,  24030,  24030,  24030,  24030,  24030,  24030,  24030,  18022,  12015  }, 
						{ 2002,   3003,   4005,   4005,   4005,   4005,   4005,   4005,   4005,   4005,   3003,   2002   }, 
					}, -- thrust = {

				}, --thrust_afterburner = {

			}, -- extended = {

		}, --end of engine

	},

	DamageParts =
	{
		[1] = "f8u-collision",
	},

	-- (file 5 for aessembly)

	-- new
	--damage , index meaning see in  Scripts\Aircrafts\_Common\Damage.lua
	Damage = {
		[0]		= {critical_damage = 5, args = {146}},
		[3]		= {critical_damage = 20,args = {65}}  ,
		[4]		= {critical_damage = 20, args = {150}},
		[5]		= {critical_damage = 20, args = {147}},
		[7]		= {critical_damage = 4, args = {249}} ,
		[9]		= {critical_damage = 3, args = {154}},
		[10]	= {critical_damage = 3, args = {153}},
		[11]	= {critical_damage = 3, args = {167}},
		[12]	= {critical_damage = 3, args = {161}},
		[15]	= {critical_damage = 5, args = {267}},
		[16]	= {critical_damage = 5, args = {266}},
		[23]	= {critical_damage = 8, args = {223}, deps_cells = {25}},
		[24]	= {critical_damage = 8, args = {213}, deps_cells = {26, 60}},
		[25]	= {critical_damage = 3, args = {226}},
		[26]	= {critical_damage = 3, args = {216}},
		[29]	= {critical_damage = 9, args = {224}, deps_cells = {31, 25, 23}},
		[30]	= {critical_damage = 9, args = {214}, deps_cells = {32, 26, 24, 60}},
		[31]	= {critical_damage = 4, args = {229}},
		[32]	= {critical_damage = 4, args = {219}},
		[35]	= {critical_damage = 10, args = {225}, deps_cells = {29, 31, 25, 23}},
		[36]	= {critical_damage = 10, args = {215}, deps_cells = {30, 32, 26, 24, 60}} ,
		[37]	= {critical_damage = 4, args = {227}},
		[38]	= {critical_damage = 4, args = {217}},
		[39]	= {critical_damage = 7,	args = {244}, deps_cells = {53}},
		[40]	= {critical_damage = 7, args = {241}, deps_cells = {54}},
		[45]	= {critical_damage = 9, args = {235}, deps_cells = {39, 51, 53}},
		[46]	= {critical_damage = 9, args = {233}, deps_cells = {40, 52, 54}},
		[51]	= {critical_damage = 3, args = {239}},
		[52]	= {critical_damage = 3, args = {237}},
		[53]	= {critical_damage = 3, args = {248}},
		[54]	= {critical_damage = 3, args = {247}},
		[55]	= {critical_damage = 20, args = {81}, deps_cells = {39, 40, 45, 46, 51, 52, 53, 54}},
		[59]	= {critical_damage = 5, args = {148}},
		[60]	= {critical_damage = 1, args = {144}},

		[83]	= {critical_damage = 3, args = {134}} ,-- nose wheel
		[84]	= {critical_damage = 3, args = {136}}, -- left wheel
		[85]	= {critical_damage = 3, args = {135}} ,-- right wheel
	},


	-- solve triangle to have B_end == C_end with given A
	-- B_start assumed to be A_start
	-- C_start assumed to be A_end
	
	SolveTriangles = 
	{
		-- left gear post kinematics 
		{
			A_start   = "bracing_centr004",
			A_end     = "bracing_centr003",
			B_end     = "bracing_004",
			B_control = 484,
			C_end	  = "bracing_003",
			C_control = 483,
			B_scale   =  1/math.rad(46);
			C_scale   =  1/math.rad(25);
		},
		-- right gear post kinematics 
		{
			A_start   = "bracing_centr006",
			A_end     = "bracing_centr005",
			B_end     = "bracing_006",
			B_control = 486,
			C_end	  = "bracing_005",
			C_control = 485,
			B_scale   =  1/math.rad(46);
			C_scale   =  1/math.rad(25);
		},
	},  --SolveTriangles


}



--SFM_add.lua (file 6 for assembly)

add_aircraft(f8u)


